<?php

namespace Drupal\county\Plugin\Field\FieldFormatter;

use Drupal\Component\Utility\Xss;

/**
 * Plugin implementation of the 'county_key' formatter.
 *
 * @FieldFormatter(
 *   id = "county_key",
 *   label = @Translation("Key"),
 *   description = @Translation("Display the county FIPS code."),
 *   field_types = {
 *     "county"
 *   }
 * )
 */
class Key extends Base {

  /**
   * {@inheritdoc}
   */
  protected function viewValues(array $items, $admin_area, array $settings) {
    $elements = [];
    foreach ($items as $delta => $item) {
      $elements[$delta] = ['#markup' => Xss::filter($item['value'])];
    }
    return $elements;
  }

}
